import { useNavigate } from "react-router-dom";

export const useNavigation = () => {
    const navigate = useNavigate();

    const goToPagesAndOpenTab = (tabId: string, path: string) => {
        navigate(`${path}${tabId}`);
    };

    const goToTextsAndOpenCollapsible = (collapseId: string, path: string) => {
        navigate(`${path}${collapseId}`);
    };
    const goToPageWithTabAndCollapsible = ({ path, tabId, collapseId }: { path: string, tabId: string, collapseId?: string }) => {
        const navigate = useNavigate();
        navigate(`${path}?tab=${tabId}${collapseId ? `&collapseId=${collapseId}` : ''}`);
    };

    const goToPageWithNestedTabs = ({ path, tabId, subTabId, collapseId }: { path: string, tabId: string, subTabId?: string, collapseId?: string }) => {
        const navigate = useNavigate();
        let url = `${path}?tab=${tabId}`;
        if (subTabId) {
          url += `&subTab=${subTabId}`;
        }
        if (collapseId) {
          url += `&collapseId=${collapseId}`;
        }
        navigate(url);
      };
/* <a onClick={() => goToPageWithTabAndCollapsible({
    path: "/human-practices",
    tabId: "InvWesthoff",
    collapseId: "collapse-1"  // ID of the collapsible to open
})}>
    Go to Human Practices and Open Collapsible 1
</a> */
    return { goToPagesAndOpenTab, goToTextsAndOpenCollapsible, goToPageWithTabAndCollapsible, goToPageWithNestedTabs };
};